CC=cc/name=(as_is,short)/float=ieee
#CFLAGS=

OBJS= blocksort.obj,  \
      huffman.obj,    \
      crctable.obj,   \
      randtable.obj,  \
      compress.obj,   \
      decompress.obj, \
      bzlib.obj

all : libbz2.olb bzip2.exe bzip2recover.exe test

bzip2.exe : libbz2.olb bzip2.obj
	link bzip2.obj,libbz2/l

bzip2recover.exe : bzip2recover.obj
	link bzip2recover.obj

libbz2.olb : $(OBJS)
	lib/create libbz2.olb $(OBJS)
	lib/compress libbz2.olb

test : bzip2.exe
	type words1.
	bzip2 :== $'f$environement("DEFAULT")'bzip2
	copy sample1.ref sample1.r
	bzip2 -1 sample1.r
	copy sample2.ref sample2.r
	bzip2 -2 sample2.r
	copy sample3.ref sample3.r
	bzip2 -3 sample3.r
	copy sample1.bz2 sample1.re-bz2
	bzip2 -d sample1.re-bz2
	copy sample2.bz2 sample2.re-bz2
	bzip2 -d sample2.re-bz2
	copy sample3.bz2 sample3.re-bz2
	bzip2 -d sample3.re-bz2
	diff sample1.bz2 sample1.r-bz2 
	diff sample2.bz2 sample2.r-bz2
	diff sample3.bz2 sample3.r-bz2
	diff sample1.re sample1.ref
	diff sample2.re sample2.ref
	diff sample3.re sample3.ref
	type words3.

blocksort.obj : blocksort.c
huffman.obj : huffman.c
crctable.obj : crctable.c
randtable.obj : randtable.c
compress.obj : compress.c
decompress.obj : decompress.c
bzlib.obj : bzlib.c
bzip2.obj : bzip2.c
bzip2recover.obj : bzip2recover.c
